[llvm] [workflows] Port buildkite Windows config to GitHub actions (PR #82093)

Tom Stellard via llvm-commits llvm-commits at lists.llvm.org
Mon Feb 19 07:30:46 PST 2024


================
@@ -0,0 +1,220 @@
+#!/usr/bin/env bash
+#===----------------------------------------------------------------------===##
+#
+# Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.
+# See https://llvm.org/LICENSE.txt for license information.
+# SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception
+#
+#===----------------------------------------------------------------------===##
+
+#
+# This file generates a Buildkite pipeline that triggers the various CI jobs for
+# the LLVM project during pre-commit CI.
+#
+# See https://buildkite.com/docs/agent/v3/cli-pipeline#pipeline-format.
+#
+# As this outputs a yaml file, it's possible to log messages to stderr or
+# prefix with "#".
+
+
+set -eu
+set -o pipefail
+
+# Environment variables script works with:
+
+# Set by GitHub
+: ${GITHUB_OUTPUT:=}
+: ${RUNNER_OS:=}
+
+# Allow users to specify which projects to build.
+all_projects="bolt clang clang-tools-extra compiler-rt cross-project-tests flang libc libclc lld lldb llvm mlir openmp polly pstl"
+if [ "$#" -ne 0 ]; then
+  wanted_projects="${@}"
+else
+  wanted_projects="${all_projects}"
+fi
+
+# List of files affected by this commit
+: ${MODIFIED_FILES:=$(git diff --name-only HEAD~1...HEAD)}
----------------
tstellar wrote:

The HEAD commit for a PR is a merge of the PR branch into main.  It's not the HEAD for the PR target branch.  In my testing using HEAD~1...HEAD worked for multiple commits.  I did not test the case where the PR branch had a merge commit in it already.  I can test `git diff <base>...HEAD`

https://github.com/llvm/llvm-project/pull/82093


More information about the llvm-commits mailing list